
QGIS Application - Feature request #3350

Histogram: let the user set min,max in x axis

2010-12-19 06:08 AM - alobo -

Status: Closed

Priority: Low

Assignee:

Category: Rasters

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13410

Description

Many raster layers include outlier values which make display of the histogram almost useless unless these values can be discarded. The

user should be able of setting min,max

values for the x axis.

History

#1 - 2011-07-31 02:59 PM - Etienne Tourigny

I would like to help in implementing this feature.  I have prior experience in c++ and QT, but not much in QGis coding.  I have been using QGIS and GDAL

for about a year.  Is there anyone willing to help me out getting started, maybe some suggestions?

thanks, Etienne

#2 - 2011-08-01 03:04 AM - Giovanni Manghi

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

Etienne Tourigny wrote:

I would like to help in implementing this feature.  I have prior experience in c++ and QT, but not much in QGis coding.  I have been using QGIS and

GDAL for about a year.  Is there anyone willing to help me out getting started, maybe some suggestions?

thanks, Etienne

please write in the qgis-developer mailing list, thanks.

#3 - 2011-12-16 01:50 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2015-11-19 05:42 AM - Médéric RIBREUX

- Resolution set to fixed/implemented
- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

this feature is now completely implemented: you can define the min/max value for each band from the histogram tab.

I am closing this feature request.
